lkml.org 
[lkml]   [2019]   [Oct]   [4]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [char-misc for v4.5-rc2 2/2 V2] mei: avoid FW version request on Ibex Peak and earlier
On Fri, Oct 04, 2019 at 09:17:22PM +0300, Tomas Winkler wrote:
> From: Alexander Usyskin <alexander.usyskin@intel.com>
>
> The fixed MKHI client on PCH 6 gen platforms
> does not support fw version retrieval.
> The error is not fatal, but it fills up the kernel logs and
> slows down the driver start.
> This patch disables requesting FW version on GEN6 and earlier platforms.
>
> Fixes warning:
> [ 15.964298] mei mei::55213584-9a29-4916-badf-0fb7ed682aeb:01: Could not read FW version
> [ 15.964301] mei mei::55213584-9a29-4916-badf-0fb7ed682aeb:01: version command failed -5
>
> Cc: <stable@vger.kernel.org> +v4.18
> Cc: Paul Menzel <pmenzel@molgen.mpg.de>
> Signed-off-by: Alexander Usyskin <alexander.usyskin@intel.com>
> Signed-off-by: Tomas Winkler <tomas.winkler@intel.com>
> ---
> V2: Drop offending debug message

s/offending/unneeded/ :)

\
 
 \ /
  Last update: 2019-10-04 17:39    [W:0.039 / U:4.012 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site